Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

OPatch java-exception with 9.2.0.5

Volker Borowski
Honored Contributor

OPatch java-exception with 9.2.0.5

Hi,

have installed OPatch Version 43 and 48.
Both versions did work (i.e. lsinventory) with 9.2.0.4.

Patched 9.2.0.5 (and oui 10.1 as required).
Now both OPatch versions (43 and 48) throw java-eceptions for a DATE-Format issue.

sInstallTime = >2003.Nov.11 14:34:37 MET<
java.text.ParseException: Unparseable date: "2003.Nov.11 14:34:37 MET"

Well, it is pretty clear, that the dots are the Problem, but how to reformat that field ?

Environment LANG=en_US

Ideas welcome.
Metalink and SAPNET have nothing on this.
Call is open, but may be you guys are quicker :-)

Thanks
Volker
12 REPLIES
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

See your nls_date_format. It should be set to something like this (with - and not .):

nls_date_format = DD-MON-RRRR

Each and every day is a good day to learn.
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Sorry, I forgot to tell you where you can see nls_date_format: it is set on init.ora ($ORACLE_HOME/dbs/init.ora on 8i)

Each and every day is a good day to learn.
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

One more thing,

On Metalink they say to apply patch 2370146 (see Note 199271.1)
Each and every day is a good day to learn.
Volker Borowski
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Hi,

thanks for the suggestion.
Basicly the databas is not up and running while applying a bugfix, so no init.ora Parameter will change anything.

Nevertheless, I tried out to use NLS_TIMESTAMP_TZ_FORMAT in the environment, but it appears, that OPatch does not use any NLS.. environments.

This looks like a JAVA problem for me, and I suspect some locale <-> LANG problem, but locale en_US is installed, LANG set accordingly, and this User has never run anything diffrent than en_US.

More Ideas ?
Volker
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

I've searched Metalink with the expression:

java.text.ParseException: Unparseable date

And got 3 matches:

Notes 199271.1, 243100.1 and 221410.1
Each and every day is a good day to learn.
Sanjay Kumar Suri
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Hello Volker

Recently we did an upgrade. Look at the attached document (if it helps).

sks
A rigid mind is very sure, but often wrong. A flexible mind is generally unsure, but often right.
Volker Borowski
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Antunes:

I found those notes also. None of them is related to the use of OPatch, as far as I see.

Sanjay:

Nice Document. I am right in the middle, and prior updateing the system-tables, I need to apply two bugfixes.

Volker
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Hi Volker,

Yes, they aren't related with OPatch...

Have you seen bug 3558215? This is the only document I see on Metalink about your issue...
Each and every day is a good day to learn.
Volker Borowski
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

... yes, that is exactly my problem.
Shows me that one has to check "bug database" in addition on advanced search :-)

Unfortunately no solution....

Volker
Eric Antunes
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

That's why I don't like to be at the most recent techonology: there is always a bug you are going to find and help to resolve...
Each and every day is a good day to learn.
Volker Borowski
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

Got a fix !

Looks like either OUI 10 or 9.2.0.5 delivers a new JRE and OPatch does not check this first. So a wrong version is taken.

In my case I needed to specify the new jre-dir to OPatch as well.
This is SAP-Environment, so please check diverting ORACLE_HOME/.... paths in your case:

opatch lsinventory -jre /oracle/T53/920_64/jre/1.4.2/bin/

/oracle/T53/920_64 is my ORACLE_HOME in this case.

I have been informed that this should be fixed with OPatch Version 50.

Thanks
Volker
Volker Borowski
Honored Contributor

Re: OPatch java-exception with 9.2.0.5

... see above for solution.